CREATE TABLE ACCOUNTS
(
   account_id NUMBER NOT NULL,
   BALANCE NUMBER,
   CONSTRAINT PK_ACCOUNTS PRIMARY KEY (account_id)
);

CREATE FUNCTION outside_package_get_bal(acc_no IN NUMBER) 
   RETURN NUMBER 
   IS acc_bal NUMBER(11,2);
   BEGIN 
      SELECT balance 
      INTO acc_bal 
      FROM accounts 
      WHERE account_id = acc_no; 
      RETURN(acc_bal); 
    END;


CREATE OR REPLACE PACKAGE emp_mgmt AS 
   FUNCTION Inside_Package_get_bal(acc_no NUMBER) 
   RETURN NUMBER; 
END emp_mgmt;


CREATE OR REPLACE PACKAGE BODY emp_mgmt AS 

FUNCTION Inside_Package_get_bal(acc_no IN NUMBER) 
   RETURN NUMBER 
   IS acc_bal NUMBER(11,2);
   BEGIN 
      SELECT balance 
      INTO acc_bal 
      FROM accounts 
      WHERE account_id = acc_no; 
      RETURN(acc_bal); 
    END;

END emp_mgmt; 

CREATE FUNCTION outside_package_get_bal(acc_no IN NUMBER) 
   RETURN NUMBER 
   IS acc_bal NUMBER(11,2);
   BEGIN 
      SELECT balance 
      INTO acc_bal 
      FROM accounts 
      WHERE account_id = acc_no; 
      RETURN(acc_bal); 
    END;
